2019-04 Security Bulletin: QFX5000 Series, EX4300, EX4600: A stack buffer overflow vulnerability in Packet Forwarding Engine manager (FXPC) process (CVE-2019-0008)

  [JSA10930] Show Article Properties


Product Affected:
This issue affects Junos OS 14.1X53, 15.1X53, 17.1, 17.2, 17.3, 17.4, 18.1, 18.2, 18.2X75, 18.3 on QFX5000 series, EX4300, EX4600.
Problem:

A certain sequence of valid BGP and IPv6 BFD packets may trigger a stack based buffer overflow in the Junos OS Packet Forwarding Engine manager (FXPC) process on QFX5000 series, EX4300, EX4600 devices. This issue can result in a crash of the fxpc daemon or may potentially lead to remote code execution.

Affected releases are Juniper Networks Junos OS on QFX 5000 series, EX4300, EX4600 are:

  • 14.1X53 versions prior to 14.1X53-D51;
  • 15.1X53 versions prior to 15.1X53-D235;
  • 17.1 versions prior to 17.1R3;
  • 17.2 versions prior to 17.2R3;
  • 17.3 versions prior to 17.3R3-S2;
  • 17.4 versions prior to 17.4R2-S1, 17.4R3;
  • 18.1 versions prior to 18.1R3-S1;
  • 18.2 versions prior to 18.2R2;
  • 18.2X75 versions prior to 18.2X75-D30;
  • 18.3 versions prior to 18.3R2.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was seen during production usage.

This issue is also known as FXPC Bug.

This issue has been assigned CVE-2019-0008.

Solution:

The following software releases have been updated to resolve this specific issue: 14.1X53-D51, 15.1X53-D235, 17.1R3, 17.2R3, 17.3R3-S2, 17.4R2-S1, 17.4R3, 18.1R3-S1, 18.2R2, 18.2X75-D30, 18.3R2, 18.4R1, and all subsequent releases.

This issue is being tracked as PR 1371400 which is visible on the Customer Support website.

Note: Juniper SIRT's policy is not to evaluate releases which are beyond End of Engineering (EOE) or End of Life (EOL).

Workaround:

There are no viable workarounds for this issue.

Implementation:
Software Releases, patches and updates are available at https://www.juniper.net/support/downloads/.
Modification History:
  • 2019-04-10: Initial Publication.
  • 2019-04-11: add 14.1X53-D51, remove 17.3R4, 18.1R4 from fixed releases.
  • 2019-04-16: Updated problem description.

 

Related Links:
CVSS Score:
9.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
Risk Level:
Critical
Risk Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."